Bug 1030869 - ipsec is redirected to nonexistent init script
ipsec is redirected to nonexistent init script
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreswan (Show other bugs)
7.0
All Linux
high Severity high
: rc
: ---
Assigned To: Paul Wouters
Aleš Mareček
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 05:10 EST by Aleš Mareček
Modified: 2014-06-18 04:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:56:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleš Mareček 2013-11-15 05:10:03 EST
Description of problem:
$ ipsec setup --start
Redirecting to: /etc/init.d/ipsec start
/usr/libexec/ipsec/setup: line 92: /etc/init.d/ipsec: No such file or directory


Version-Release number of selected component (if applicable):
libreswan-3.6-1.el7

How reproducible:
Always

Steps to Reproduce:
1. ipsec setup --start


Actual results:
Redirecting to: /etc/init.d/ipsec start
/usr/libexec/ipsec/setup: line 92: /etc/init.d/ipsec: No such file or director

Expected results:
ipsec_setup: Starting Openswan IPsec <some version info>...
ipsec_setup: /usr/libexec/ipsec/addconn Non-fips mode set in /proc/sys/crypto/fips_enabled
ipsec_setup: /usr/libexec/ipsec/addconn Non-fips mode set in /proc/sys/crypto/fips_enabled
ipsec_setup: /usr/libexec/ipsec/addconn Non-fips mode set in /proc/sys/crypto/fips_enabled
ipsec_setup: /usr/libexec/ipsec/addconn Non-fips mode set in /proc/sys/crypto/fips_enabled


Additional info:
$ cat /etc/ipsec.conf; echo; cat /etc/ipsec.secrets
version	2.0

config setup
	protostack=netkey
	nat_traversal=yes
	#virtual_private=
	oe=off
	nhelpers=0


include /etc/ipsec.d/*.secrets
Comment 2 Paul Wouters 2014-01-16 03:52:12 EST
This bug still needs all the flags :(
Comment 6 Ludek Smid 2014-06-13 05:56:07 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.